varying vec4 diffuse,ambientGlobal,ambient;
varying vec3 normal,lightDir,halfVector;
varying float dist;
varying vec2  TexCoord;
	
void main()
{	
	vec4 ecPos;
	vec3 aux;

	//Normale transformieren
	normal = normalize(gl_NormalMatrix * gl_Normal);

	//Vertex transformieren und lichtposition berechnen
	ecPos = gl_ModelViewMatrix * gl_Vertex;
	aux = vec3(gl_LightSource[0].position-ecPos);
	lightDir = normalize(aux);
	dist = length(aux);

	//Halbvector berechnen, fr Specular Part
	halfVector = normalize(gl_LightSource[0].halfVector.xyz);

	//Diffusen Part berechnen
	diffuse = gl_FrontMaterial.diffuse * gl_LightSource[0].diffuse;

	//Ambient Parts berechen, unterteilen in global und von Licht damit die Lichtabschwchung nur in Bezug auf die Lichquelle angewandt wird
	ambient = gl_FrontMaterial.ambient * gl_LightSource[0].ambient;
	ambientGlobal = gl_LightModel.ambient * gl_FrontMaterial.ambient;
	
	//Texturkoordinaten bernehmen
	TexCoord = vec2 (gl_MultiTexCoord0);
	TexCoord.x  = TexCoord.x;
	
	//Vordefinierte Fixed Function Pipeline Funktion anwenden
	gl_Position = ftransform();
}